%define         gst_minver      0.8.8
%define         gstp_minver     0.8.6
%define         majorminor      0.8
%define         gstreamer       gstreamer

Name:           cupid
Version:        0.0.1
Release:        0.fdr.1.3
Summary: 	GStreamer recording application.

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
Source: 	http://gstreamer.freedesktop.org/src/gst-recorder/cupid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre):  /sbin/ldconfig
Requires(post): /sbin/ldconfig
Requires(pre):  GConf2
Requires(post): GConf2
Requires(pre):  /usr/bin/scrollkeeper-update
Requires(post): /usr/bin/scrollkeeper-update

BuildRequires:	%{gstreamer}-devel >= %{gst_minver}
BuildRequires:	%{gstreamer}-plugins-devel >= %{gstp_minver}
BuildRequires: 	gtk2-devel
#BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	scrollkeeper
BuildRequires:	gettext
BuildRequires:	perl-libxml-perl
BuildRequires:	intltool
# sigh, libtool
BuildRequires:  gcc-c++

BuildRequires:  desktop-file-utils

%description
Cupid is a modern, complete video/audio capture solution for the Linux/GNOME
desktop. It is based on the GStreamer multimedia framework, which is the de
facto multimedia framework on the Linux and UNIX desktop. Using GStreamer, it
supports a variety of container formats and video/audio codecs. Likewise, it
supports all the current video and audio kernel interfaces, and can be extended
to supports other systems than Linux simply by writing a GStreamer plugin.

%prep
%setup -q -n cupid-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


# no translations yet
# %find_lang cupid

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q || true
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null

%postun
/sbin/ldconfig
scrollkeeper-update -q || true

#%files -f cupid.lang
%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_bindir}/cupid
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/pixmaps/cupid.png
%{_datadir}/cupid/pixmaps
%{_datadir}/applications/fedora-cupid.desktop
%{_datadir}/gnome/help/cupid
%{_datadir}/omf/cupid

%changelog
* Mon Feb 07 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.0.1-0.fdr.1: initial release
